List supported tokens
curl --request GET \
--url https://api.dev.endaoment.org/v2/tokensimport requests
url = "https://api.dev.endaoment.org/v2/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.endaoment.org/v2/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"id": 1,
"symbol": "ETH",
"name": "Ethereum",
"decimals": 18,
"logoUrl": "https://example.com/ethereum-logo.png",
"type": "Token",
"featured": true,
"popularity": 10,
"chainId": 1,
"contractAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"otcAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"memo": "MEMO123456",
"otcNetwork": {
"id": "ethereum",
"type": "mainnet"
},
"otcChainId": 1
}
]
}Donations
List supported tokens
Fetches all tokens supported by Endaoment. This endpoint can be filtered by chainId or tokenType. If chainId is provided, tokenType will be ignored and only EvmTokens on that chain will be returned. If no filter is provided, all supported tokens will be returned.
GET
/
v2
/
tokens
List supported tokens
Query Parameters
If informed, will filter which type of token to fetch. If not informed, will return all tokens. If chainId is informed, this will be ignored.
Available options:
EvmToken, OtcToken, All If informed, will filter only EvmTokens on that chain
Response
200 - application/json
List of supported tokens successfully retrieved
List of supported tokens
Show child attributes
Show child attributes
Was this page helpful?